Subject: Re: bug#54190: 29.0.50; [PATCH] Incorrect/missing documentation for some Eshell "$" syntaxes

From: Jim Porter <[email-masked]>
Date: Tue, 6 Sep 2022 20:50:14 -0700

On 9/6/2022 4:28 AM, Lars Ingebrigtsen wrote:
> Jim Porter <[email-masked]> writes:
> 
>> This doesn't do anything more elaborate like using generator.el's
>> machinery here; while (I think) that would be nice to have eventually,
>> we can address that in a separate bug, since it'd be a pretty big
>> change. We could probably close this bug after this new patch merges.
> 
> This was several months ago, but it doesn't look like this was ever
> merged.  If you still think this is the right solution, please go ahead
> and merge.  (The patch no longer merges cleanly.)

This got merged into Emacs 28 as 
2c3d1b6bf41509bf0ba8995925fec9f20d8ed89d, but I think it was left open 
since there was some discussion about rewriting 'eshell-do-eval' on top 
of generator.el. Let's close this, and I'll file a separate followup for 
the generator.el bit.